我今天所做的是最重要的,因为我将永远不会再有今天

Rails版本升级

技术文档 5616浏览 0评论

Redmineruby、Rails的版本有要求,所以在升级Redmine的时候,也需要首先升级一下ruby、Rails的版本。

最新的Redmine 1.2.x需要将Rails从2.3.5升级到了2.3.11,如果已经安装了Rails 2.3.5,如何升级才是正确的呢?

一、升级到Rails 2.3.11,并且保留Rails 2.3.5
如果不想删除以前的版本,首先下载Rails 2.3.11本地安装包:http://rubyforge.org/frs/?group_id=307
直接gem install your.gem,即可。不过在本文发表的时候,还没有Rails 2.3.11的离线包提供下载。
安装完成之后,Rails 2.3.11与Rails 2.3.5并存。

二、升级到Rails 2.3.11,并且只保留所有gem安装的最新版本
 
1、用gem uninstall
首先删除以前的版本:

gem uninstall rails

安装新版本, 同一所述
2、gem cleanup
按照一中的方法安装完成后,Rails 2.3.11和Rails 2.3.5是共存的,如果想清除所有已安装的老版本gem,直接运行

gem cleanup

即可
3、安装指定版本rails

gem install rails -v 版本号

4、卸载指定版本rails

gem uninstall -v 版本号

转载请注明:自由的风 » Rails版本升级

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址